# Release Notes

## migration-center 25.1

(released on 11-Apr-2025)

### Breaking changes

{% hint style="warning" %}
In order to eliminate security vulnerabilities we upgraded the WebClient to **Tomcat 10** and **Java 17**.

Due to this, the WebClient no longer works with **Java 8** or **Java 11** and is not compatible with migration-center **database versions earlier than 25.1**.
{% endhint %}

### Features & Enhancements

* WebClient
  * Run WebClient on Tomcat 10 with Java 17 (#73290)
  * Do not send passwords in WebClient Front End (#74986)
  * Restricted mode for editing and copying adaptors (clear passwords) (#74987)
  * (see [Changing application.properties](https://docs.migration-center.com/25.1/pages/6MWM0soHOjR6b5Ba52XP#changing-application.properties))
  * Allow setting custom multi-value separator for CSV export (#74427)\
    (see [Changing application.properties](https://docs.migration-center.com/25.1/pages/6MWM0soHOjR6b5Ba52XP#changing-application.properties))
  * Debug using first object in migset if no ID is specified (#71142)
* Database
  * Improve transformation performance of mapValue without Case Sensitive on PostgreSQL (#75142)
* Jobserver Linux
  * Include Filesystem adaptors in the linux Jobserver (#71206)
* Alfresco Scanner
  * Migrate Alfresco Shortcuts as SharePoint links (#74631)
    * Scan Alfresco Shortcuts as Alfresco(shortcut) mc object (#74646)
    * Scan versionStoreID of latest version for document referenced by shortcut (#74650)
  * Add exportDocuments exportFolders parameters to choose what to export (#74654)
* Box Importer
  * Don't overwrite the collaborators inherited from folders (#74789)
  * Reduce API requests when setting comments and collaborators for versions and updates (#74771)
    * Reduce API calls when setting collaborators for versions and updates (#74772)
    * Reduce API calls when setting comments for versions and updates (#74774)
  * Improve Box importer rate limits handling (#74699)
  * Improve handling partially imported documents or versions (#74762)
* CSV/Excel Scanner
  * Scan "hashcode" with CSV/Excel scanner (#75160)
  * Allow specifying custom delimiters when scanning CSV files (#74485)
* Documentum Scanner
  * Allow new lines in DQL string taken from file (#75307)
  * Filter folder scan using DQL (#72080)
* Documentum Importer
  * Add algorithm and encoding for content checksum validation (#75161)
* Cara Importer
  * Support for delta migration of VD structure (#70247)\
    This feature comes with two changes:\
    New parameter in the Documentum scanner **scanAllVDRelationsForUpdates** (#75525)\
    Support for importing VDs updates, scanned with this new parameter, in Cara (#75526)
  * Support for delta migration of dm\_relations (#70248)
* Veeva Adaptors
  * Upgrade to Veeva API 24.3 (#74189)\
    (Some new features are not yet supported. See [Veeva importer](/25.1/importers/veeva-importer.md) user guide for details)

### Fixes

* WebClient
  * Error when debugging new unsaved rule (#70370)
  * Certain specific values saved in migset attribute exclusion filters will cause the migset to break on Postgres (#75408)
  * ObjectType attributes list not fully loaded after import (#75344)
  * Mapping list key and values are trimmed for trailing spaces when importing from CSV (#74482)
  * Importing object type from csv with no attributes throws unclear error (#75315)
  * Mapping lists screen has no horizontal scroll (#74731)
  * Progress % in Jobs tab is not sorted correctly (#74169)
  * Item selection is not kept in all lists after deleting an item (#75418)
  * Debugging mapValue/multiColumnMapValue has no result on Oracle when there are any snippet rules (#75694)
  * Value not displayed in Debug rule if the first repeating value is an empty string on Postgres (#73352)
* Jobserver
  * Documentum and D2 adaptors do not work with Java 17 (#74727)
* Database
  * Database installer shows wrong error when fmemc user does not meet password policy (#74667)
* Filesystem Importer
  * NullPointer Exception when rendition\_target\_file\_paths doesn't have a valid folderpath (#74835)
  * No error when Importer cannot delete source content during move file (#71822)
  * XSLT is not applied to individual files if unified xlm metadata is set (#75012)
* Box Importer
  * When setting an invalid metadata template receiving any other response form box besides 404 results in MC not throwing any exception and importing the document (#74886)
  * NullPointerException when Comments is empty or not associated (#75174)
  * Document remains locked in box when content does not have read permissions during import (#75026)
  * NullPointer when setting non box users as collaborators for versions (#75035)
* Cara Importer
  * Cara Structure children are not set in the correct order when children are imported in multiple runs (#75144)
  * When importing attribute\_list and attribute\_list\_old have spaces after the ",", the order of the attributes is broken (#75232)
* D2 Importer
  * Audittrail attribute\_list\_old is not set when attribute\_list is empty (#75156)
* Database Scanner
  * IOException: The stream is closed when exporting BLOB or CLOB from SQL Server (#75091)
  * Database scanner single main queries fails in some circumstances (#72796)
* Documentum Scanner
  * Documentum audit trail scanned twice under some conditions (#75511)
  * NullPointerException when running DCTM scanner with empty scanFolderPath and dqlString (#67725)
* Documentum InPlace
  * Connection leak when migrating updates (#75759)
* Sharepoint Online Batch Importer
  * Importing links with no value in s\_\_versionNumber results in links being imported but the import finishing with errors (#74743)
  * Hierarchical sensitivity labels cannot be set (#75391)

### Known Issues

* WebClient
  * Selection not being kept after deleting Item on mapping lists and object types (#75881)
* Cara Importer
  * Error when base document and update with relation are imported at the same time (#60118)
* Database Scanner
  * Error when scanning Large Objects as BLOB from Postgres Database (#75312)
* Filesystem Scanner
  * Incorrect id\_in\_source\_system when scannig updates from linux with same name but different case in the same folder (#75902)
* SharePoint Online Batch Importer
  * Setting documents as records no longer works with Migration API (#75061)
* Veeva Importer
  * Import fails when using 'name' instead of 'label' for type, subtype, classification, lifecycle, status (#75866)
  * Cannot set created\_by\_\_v, modified\_by\_\_v, created\_date\_\_v and modified\_date\_\_v fields (#75871)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.migration-center.com/25.1/release-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
